﻿using Microsoft.AspNetCore.Http;
using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Performance.DtoModels;
using Performance.Services;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace Performance.Api.Controllers
{
    [Route("api/[controller]")]
    [ApiController]
    public class DefaultController : ControllerBase
    {
        ILogger<DefaultController> _logger;
        PerExcelService _excelService;
        UserService _userService;
        public DefaultController(PerExcelService excelService,
            UserService userService,
            ILogger<DefaultController> logger)
        {
            _excelService = excelService;
            _userService = userService;
            _logger = logger;
        }

        [HttpGet]
        public ActionResult<PerExcel> Get()
        {
            var sd = _userService.GetUser();
            _logger.LogDebug("debug", "aaaaaa");
            var excel = _excelService.Analyze(@"C:\Users\ry\Desktop\文件\测试.xlsx");
            return excel;
        }
    }
}